Video switching fields
======================

.. autoclass:: pyatem.field.VideoModeField
   :members:

.. autoclass:: pyatem.field.VideoModeCapabilityField
   :members:

.. autoclass:: pyatem.field.AutoInputVideoModeField
   :members:


Program / Preview bus
---------------------

.. autoclass:: pyatem.field.ProgramBusInputField
   :members:

.. autoclass:: pyatem.field.PreviewBusInputField
   :members:

.. autoclass:: pyatem.field.AuxOutputSourceField
   :members:

Transition settings
-------------------

.. autoclass:: pyatem.field.TransitionSettingsField
   :members:

.. autoclass:: pyatem.field.TransitionPreviewField
   :members:

.. autoclass:: pyatem.field.TransitionPositionField
   :members:

.. autoclass:: pyatem.field.KeyOnAirField
   :members:

Downstream
----------

.. autoclass:: pyatem.field.FadeToBlackStateField
   :members:

.. autoclass:: pyatem.field.DkeyPropertiesBaseField
   :members:

.. autoclass:: pyatem.field.DkeyPropertiesField
   :members:

.. autoclass:: pyatem.field.DkeyStateField
   :members:


Palettes
--------

.. autoclass:: pyatem.field.ColorGeneratorField
   :members:

.. autoclass:: pyatem.field.TransitionMixField
   :members:

.. autoclass:: pyatem.field.TransitionDipField
   :members:

.. autoclass:: pyatem.field.TransitionWipeField
   :members:

.. autoclass:: pyatem.field.TransitionDveField
   :members:

Upstream keys
-------------

These are the fields related to the "Upstream key %n" blocks in the palette sidebar. The information about the upstream
keyer is split over multiple fields, one with base information and one with extra information about the specific mode
the keyer is in.

.. autoclass:: pyatem.field.KeyPropertiesBaseField
   :members:

.. autoclass:: pyatem.field.KeyPropertiesLumaField
   :members:

.. autoclass:: pyatem.field.KeyPropertiesDveField
   :members:

Mediaplayer
-----------

.. autoclass:: pyatem.field.MediaplayerSelectedField
   :members:


Video Tally
-----------

.. autoclass:: pyatem.field.TallyIndexField
   :members:

.. autoclass:: pyatem.field.TallySourceField
   :members:

Fade to black
-------------

.. autoclass:: pyatem.field.FadeToBlackField
   :members:

SuperSource
-----------

.. autoclass:: pyatem.field.SupersourcePropertiesField
   :members:

.. autoclass:: pyatem.field.SupersourceBoxPropertiesField
   :members: